---
updatedAt: 2025-11-11T00:09:42.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/v1.1/llms.txt
---

# Get Billers Categories

This method retrieves all the biller category types

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "new-value-added-services",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://qa.interswitchng.com/quicktellerservice/api/v5"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/services/categories": {
      "get": {
        "summary": "Get Billers Categories",
        "description": "This method retrieves all the biller category types",
        "operationId": "get-billers-categories",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Content-Type",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "Terminalid",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "3pbl0001"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n\"categorys\": [\n{\n\"categoryid\": \"1\",\n\"categoryname\": \"Utility Bills\",\n\"categorydescription\": \"Pay your utility bills here\"\n},\n{\n\"categoryid\": \"2\",\n\"categoryname\": \"Cable TV Bills\",\n\"categorydescription\": \"Pay for your cable TV subscriptions here\"\n}\n]\n}\n    \n"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "categorys": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "categoryid": {
                            "type": "string",
                            "example": "1"
                          },
                          "categoryname": {
                            "type": "string",
                            "example": "Utility Bills"
                          },
                          "categorydescription": {
                            "type": "string",
                            "example": "Pay your utility bills here"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl http://172.25.20.59/quicktellerservice/api/v5/services/categories \\\n-H \"Authorization: Bearer <TOKEN>\" \\\n-H \"Content-Type: application/json\" \\\n-H \"TerminalID: <your_terminal_id>\" \\\n-X GET"
            },
            {
              "language": "php",
              "code": "$curlInit = curl_init();\ncurl_setopt($curlInit, CURLOPT_HTTPHEADER, array(\n'Content-Type: application/json',\n'Authorization: ' . 'Bearer ' . <TOKEN>,\n'TerminalID: ' . <TERMINAL_ID>\n\n));\n\ncurl_setopt($curlInit, CURLOPT_RETURNTRANSFER, true);\ncurl_setopt($curlInit, CURLOPT_URL, 'http://172.25.20.59/quicktellerservice/api/v5/services/categories');\n\n$response = curl_exec($curlInit);\ncurl_close($curlInit);\nreturn $response;"
            },
            {
              "language": "javascript",
              "code": "\tconst options = {\n        hostname: '172.25.20.59',\n        port: 443,\n        path: '/quicktellerservice/api/v5/services/categories',\n        method: 'GET',\n        headers: {\n            Authorization: 'Bearer ' + (<TOKEN>),\n            'Content-Type': 'application/json',\n            'TerminalID': <TERMINAL_ID>\n      \n        }\n    };\n\n\n    const request = https.request(options, response => {\n        response.on('data', (chunk) => {\n            data += chunk;\n        })\n\n        response.on('end', () => {\n            console.log(JSON.parse(data));\n        });\n\n    }).on('error', error => {\n        console.log('error: ', error);\n    });\n\n    request.end();"
            }
          ],
          "samples-languages": [
            "curl",
            "php",
            "javascript"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```